Subject: Inline-0.44 fails test on Cygwinperl 5.8.0 (xpstd article)
From: [email-masked] (Soren Andersen)
To: Soren Andersen <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 23 Jun 2003 16:29:24 -0400

Hello Cygwinauts, Perl5-Porters, Ingy,

The current release of Inline.pm won't build for me on the latest
cygwinperl (Gerrit's most recent release, 5.8.0-3). I tried running
'test' from CPAN's shell and then went into manual analysis mode,
produced some output build logs (attached to this message) and found the
failure occurs when a .dll file is not produced.

I see by checking at http://testers.cpan.org/search?request=dist&dist=Inline
that no Cygwin tester is currently tracking Inline (last Cygwin test was
on 0.43).

The attached logs are pretty complete and self-evident so I will only
briefly try to describe what's happening where:

    make[1]: Entering directory `/usr/local/build/cpan/build/Inline-0.44/C'
    /usr/bin/perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(3,
    '../blib/lib', '../blib/arch')" t/*.t
    t/00init.......1..1
    ok 1
    ok
    t/01syntax.....1..5
    ok 1
    ok 2
    ok 3
    ok 4
    ok 5
    ok
    t/02config.....1..3
    ok 1
    ok 2
    ok 3
    ok
    t/03typemap....1..1
    ok 1
    ok
    t/04perlapi....1..1

    make[2]: Entering directory `/usr/local/build/cpan/build/Inline-0.44/C/_Inline_test/build/_04perlapi_t_3c76'
    /usr/bin/perl.exe /usr/lib/perl5/5.8.0/ExtUtils/xsubpp  -typemap
	/usr/lib/perl5/5.8.0/ExtUtils/typemap -typemap /usr/local/build/cpan/build/Inline-0.44/C/t/typemap
	_04perlapi_t_3c76.xs > _04perlapi_t_3c76.xsc && mv _04perlapi_t_3c76.xsc _04perlapi_t_3c76.c
    gcc -c -I/usr/local/build/cpan/build/Inline-0.44/C/t -DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -DUSEIMPORTLIB
	-DVERSION=\"0.00\" -DXS_VERSION=\"0.00\"
	"-I/usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE" _04perlapi_t_3c76.c
    Running Mkbootstrap for _04perlapi_t_3c76 ()
    chmod 644 _04perlapi_t_3c76.bs
    rm -f blib/arch/auto/_04perlapi_t_3c76/_04perlapi_t_3c76.dll
    LD_RUN_PATH="" ld2  -s -L/usr/local/lib _04perlapi_t_3c76.o -o blib/arch/auto/_04perlapi_t_3c76/_04perlapi_t_3c76.dll
	/usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a
    gcc -shared -o  cygperl5_8_0.dll -Wl,--out-implib=lib_04perlapi_t_3c76.dll.a -Wl,--export-all-symbols
	-Wl,--enable-auto-import -Wl,--stack,8388608 \
	-s -L/usr/local/lib _04perlapi_t_3c76.o
	/usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a
    Creating library file: lib_04perlapi_t_3c76.dll.a
    mv cygperl5_8_0.dll lib_04perlapi_t_3c76.dll.a blib/arch/auto/_04perlapi_t_3c76/
    chmod 755 blib/arch/auto/_04perlapi_t_3c76/_04perlapi_t_3c76.dll
    chmod: getting attributes of
	`blib/arch/auto/_04perlapi_t_3c76/_04perlapi_t_3c76.dll': No such file or directory
    make[2]: *** [blib/arch/auto/_04perlapi_t_3c76/_04perlapi_t_3c76.dll] Error 1
    make[2]: Leaving directory
	`/usr/local/build/cpan/build/Inline-0.44/C/_Inline_test/build/_04perlapi_t_3c76' 

The `chmod' call returns failcode because the file does not exist, and
it clearly does not exist because the linking step to create it isn't
happening (as best I can tell).

Thanks,
   Soren A.

-- 
See my OpenPGP key at https://savannah.gnu.org/people/viewgpg.php?user_id=6050
GnuPG public key fingerprint  | "Only when efforts to reform society have as
 BD26 A5D8 D781 C96B 9936     |  their point of departure the reformation of
 310F 0573 A3D9 4E24 4EA6     |  the inner life -- human revolution -- will
they lead us with certainty to a world of lasting peace and true human security."
                                -- Daisaku Ikeda
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/